API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/work-planning/revoke-approval

POST/v1/work-planning/revoke-approval

Revoke the approval of a previously approved week so entries become editable again (back to DRAFT). Accepts employeeId (ADR 0123) ODER userId (Legacy). Requires work_schedule_approve.

Request Body

NameTypBeschreibung
userIdstringEmployee user ID whose week approval to revoke
employeeIdstringemployee_profile._id (bevorzugt)
weekStarterforderlichstring<date>

Beispiel

curl -X POST https://api.codemeta-os.de/v1/work-planning/revoke-approval \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "userId": "string",
  "employeeId": "string",
  "weekStart": "string"
}'
const result = await cm.work-planning.post({
  "userId": "string",
  "employeeId": "string",
  "weekStart": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche